
VIRTUAL CREDIT CARD - Bug #15229

Android [TREATS] [TREATS Miles] It shows 0 in slider and disable the Tambah button (when Total

Treats balance is 0 or the total treats balance less than min_redemption)

17 December 2022 01:15 PM - hsulynn pang

Status: Closed Start date: 17 December 2022

Priority: High Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: ntbsec04

pre-requisite: Total Treats balance is 0 or the total treats balance less than min_redemption

steps:

(1) login

(2) swipe to the right for Kartu Kredit

(3) select the credit card for TREATS

(4) at the Customer Transaction History screen, click My TREATS

(5) at the My TREATS Rewards screen, click Redeem Reward TREATS

(6) click Miles tab

(7) at the Miles tab, click Tambah button

Actual result: The tambah button is enabled

Expected result:  It shows 0 in slider and disable the Tambah button (when Total Treats balance is 0 or the total treats balance less

than min_redemption)

History

#1 - 19 December 2022 05:05 PM - hsulynn pang

- Priority changed from Normal to High

#2 - 19 December 2022 05:05 PM - hsulynn pang

- Assignee changed from Septi Gizka Tiara to Abdul Halim Baharom

#3 - 19 December 2022 05:18 PM - hsulynn pang

please handle this at flow via TNC Miles as well

#4 - 20 December 2022 08:56 AM - hsulynn pang

- Assignee changed from Abdul Halim Baharom to Septi Gizka Tiara

#5 - 20 December 2022 10:30 AM - Septi Gizka Tiara

- Status changed from New to In Progress

#6 - 20 December 2022 12:04 PM - Septi Gizka Tiara

- Status changed from In Progress to Resolved

commit : 

https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/65fb2ad0d714b4a240f276d63b7c1fe98ad36

0da?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc

#7 - 20 December 2022 02:02 PM - Septi Gizka Tiara
https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/65fb2ad0d714b4a240f276d63b7c1fe98ad360da?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc
https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/65fb2ad0d714b4a240f276d63b7c1fe98ad360da?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc


- Assignee changed from Septi Gizka Tiara to hsulynn pang

#8 - 20 December 2022 03:44 PM - hsulynn pang

- File retest ii.jpeg added

- File retest i.jpeg added

- Status changed from Resolved to Closed

tested ok, the Tambah button is disabled

Files

expected result.PNG 115 KB 17 December 2022 hsulynn pang

retest ii.jpeg 32 KB 20 December 2022 hsulynn pang

retest i.jpeg 33.4 KB 20 December 2022 hsulynn pang
